#pragma once
#include <map>
struct M_ShieldGameData
{
	//渠道ID
	int mChannelID;
	// 特殊开放限制游戏
	std::vector<int> mGameList;
	//捕鱼等级限制
	std::vector<int> mOpenLvList;
};

class M_ShieldGame
{
public:
private:
	static std::auto_ptr<M_ShieldGame> msSingleton;
public:
	int GetCount();
	const M_ShieldGameData* GetData(int ChannelID);
	const std::map<int, M_ShieldGameData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ShieldGame* GetSingleton();
	static void Release();
private:
	std::map<int, M_ShieldGameData> mMapData;
};
